Extrusion of a list of a 3D curves

Hello all,
could you please help me?
I’m trying to create a ramp that consists of different tiles. Part of the assignment is to integrate python code. Lately I have succeeded to create a 3D surface of the ramp from a list of curves.

I can’t seem to do an extrusion of curves. Can anyone help?
Thanks~!
new grasshopperwithcode!.GH (24.1 KB)
BK3OV3 DIAGRAM_25.10_a.3dm (10.2 MB)

import rhinoscriptsyntax as rs
import Rhino.Geometry as rg
out = []
a = []
for crv in crvs:
    print(crv)
    templist = []
    templist.append(crv)
    patch = rg.Brep.CreatePatch(templist,None,0.1)
    print(patch)
    a.append(patch)
    vector = rg.Vector3d(0, 0, 400)
    Extr = rg.Extrusion.Create(crv, 4000, False)
    out. append(Extr)

The issue is that your curves are not planar, in which case Rhino.Geometry.Extrusion.Create fails. You can use Rhino.Geometry.Extrusion.CreateExtusion with a curve and direcitonal vector instead, however don’t you want the top faces to be planar?

It’s unnecessary to produce 3 threads for the same project or problem. You could have just continued one of the other two!

Thank you for answering! The goal is to make a ramp for a wheelchair
anyway, it’s still not working tho :frowning: I don’t know if the problem is in the basic code or the extrusion action I choose because everything is still so new…

import rhinoscriptsyntax as rs
import Rhino.Geometry as rg
out = []
a = []
for crv in crvs:
    print(crv)
    templist = []
    templist.append(crv)
    patch = rg.Brep.CreatePatch(templist,None,0.1)
    print(patch)
    a.append(patch)
    vector = rg.Vector3d(0, 0, 400)
    Extr = rg.Extrusion.CreateExtrusion(crv, vector)
    out. append(Extr)

There may be some confusion about extruding a curve and creating an extrusion object. If the curves are non-planar, creating an “extrusion object” may not work. Instead you probably want to “extrude” the curves. Closing non-planar ends may of an extruded polysurface may present its own problems.